Get Sensor Appliance Ids Signature Bundle

Get Sensor Appliance Ids Signature Bundle
Get sensor appliance signature bundle info by id

Get IDS signature bundle info for the sensor appliance with the specified id.

Request
URI
GET
https://{api_host}/sensors/appliances/{appliance-id}/ids-signature-bundle
COPY
Path Parameters
string
appliance-id
Required  

Used to identify a sensor appliance.

appliance-id example
8c147e21-7410-4f77-a3a6-e7aa6034992f

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SensorIdsSignatureBundleInfo of type(s) application/json
{
    "bundle_id": "ac658667-db5d-4e67-b8b8-1b341bdc9a82",
    "ids_signature_bundle_version": "3743",
    "number_of_signatures": 19208,
    "bundle_creation_time": 1778684506770
}
string
bundle_id
Optional

Identifier for the signature bundle.

string
ids_signature_bundle_version
Optional

Signature bundle version for IDS.

integer
number_of_signatures
Optional

Number of IDS signatures.

integer As int64 As int64
bundle_creation_time
Optional

Timestamp in milliseconds since epoch.

integer As int64 As int64
_last_modified_time
Optional

Timestamp in milliseconds since epoch.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-all"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sensors/appliances/{appliance-id}/ids-signature-bundle